Subject: Re: [Bitcoin-development] Why are we bleeding nodes?

From: Gregory Maxwell <[email-masked]>
Date: Mon, 7 Apr 2014 14:56:21 -0700

On Mon, Apr 7, 2014 at 2:48 PM, Tier Nolan <[email-masked]> wrote:
>> Blocks can be loaded in random order once you have their order given by
>> the headers.
>> Computing the UTXO however will force you to at least temporarily store
>> the blocks unless you have plenty of RAM.
> You only need to store the UTXO set, rather than the entire block chain.

The comment was specifically in the context of an out of order fetch.
Verification must be in order. If you have fetched blocks out of order
you must preserve them at least long enough to reorder them. Thats
all.